/**
 * Title:           Statistics, $Header: /share/gdi/SDI-Suite/Repository/projekte/BSH-GDI/genericViewer/src/main/java/de/conterra/bsh/gdi/gnviewer/output/statistics/Statistics.java,v 1.2 2008/01/30 12:38:34 blume Exp $
 * Source:          $Source: /share/gdi/SDI-Suite/Repository/projekte/BSH-GDI/genericViewer/src/main/java/de/conterra/bsh/gdi/gnviewer/output/statistics/Statistics.java,v $
 * created by:      Stefan Blume (blume)
 * erstellt am:     14.12.2007
 * Copyright:       con terra GmbH, 2005
 *
 * modified by:     $Author: blume $
 * modified on:     $Date: 2008/01/30 12:38:34 $
 * Version:         $Revision: 1.2 $
 * TAG:             $Name:  $
 * locked from:     $Locker:  $
 * CVS State:       $State: Exp $
 * Project:         $ProjectName$
 */
package de.intevation.gnv.statistics;

import java.util.Collection;

import de.intevation.gnv.geobackend.base.Result;
import de.intevation.gnv.state.describedata.KeyValueDescibeData;
import de.intevation.gnv.statistics.exception.StatisticsException;

/**
 * The interface <code>Statistics</code> fulfills the following purposes:
 * <ol>
 * <li>Providng a marker interface for statistics.</li>
 * </ol>
 * 
 * @author blume
 * @version 1.0
 * @serial 1.0
 * @see
 * @since 14.12.2007 09:34:32
 */
public interface Statistics {

   /**
    * 
    * @param resultSet
    * @param parameters
    * @param measurements
    * @param dates
    * @return
    * @throws StatisticsException
    */
    public Collection<StatisticSet>  calculateStatistics(
                                                     Collection<Result> resultSet,
                                                     Collection<KeyValueDescibeData> parameters,
                                                     Collection<KeyValueDescibeData> measurements,
                                                     Collection<KeyValueDescibeData> dates
                                                     )
                                                    throws StatisticsException;

}
